/*
 * Class SEQUENCE [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_547 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_547 [] = {0xFF01,237,546,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_547 [] = {0xFF01,546,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_547 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_547 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_547 [] = {0xFF01,546,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_547 [] = {0xFF01,546,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_547 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_547 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_547 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_547 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_547 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_547 [] = {546,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_547 [] = {0xFF01,546,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_547 [] = {0xFF01,535,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_547 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_547 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_547 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_547 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_547[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_547), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_547), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_547), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_547), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_547), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_547), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_547), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_547), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_547), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_547), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_547), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_547), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_547), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_547), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2364, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2033, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1885, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1886, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1887, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1888, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_547), 2375, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_547), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2365, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2480, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2367, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_547), 2368, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2369, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_547), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2371, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2372, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2373, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2374, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2558, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2559, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2560, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_547), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2561, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2562, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2001, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2367, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2366, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2556, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2557, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init547(void)
{
	IDSC(desc_547, 0, 546);
	IDSC(desc_547 + 1, 1, 546);
	IDSC(desc_547 + 32, 77, 546);
	IDSC(desc_547 + 41, 155, 546);
	IDSC(desc_547 + 50, 30, 546);
	IDSC(desc_547 + 57, 282, 546);
	IDSC(desc_547 + 66, 243, 546);
	IDSC(desc_547 + 72, 229, 546);
	IDSC(desc_547 + 73, 294, 546);
	IDSC(desc_547 + 76, 237, 546);
	IDSC(desc_547 + 78, 50, 546);
	IDSC(desc_547 + 79, 35, 546);
}


#ifdef __cplusplus
}
#endif
